events.listen('recipes', function(e) {
  //removing old
  e.remove({mod: 'magic_doorknob'})
  //adding new
  e.shaped('magic_doorknob:magic_doorknob_wood', [
    'WWW',
    'WDW',
    'WWW'
  ], {
    W: '#minecraft:planks',
    D: 'waystones:warp_dust'
  })
  e.shaped('magic_doorknob:magic_doorknob_stone', [
    'DSD',
    'SWS',
    'DSD'
  ], {
    S: '#forge:stone',
    D: 'waystones:warp_dust',
    W: 'magic_doorknob:magic_doorknob_wood'
  })
  e.shaped('magic_doorknob:magic_doorknob_iron', [
    'DID',
    'ISI',
    'DID'
  ], {
    I: 'minecraft:iron_ingot',
    D: 'waystones:warp_dust',
    S: 'magic_doorknob:magic_doorknob_stone'
  })
  e.shaped('magic_doorknob:magic_doorknob_diamond', [
    'WDW',
    'DID',
    'WDW'
  ], {
    D: 'minecraft:diamond',
    W: 'waystones:warp_dust',
    I: 'magic_doorknob:magic_doorknob_iron'
  })
  e.smithing('magic_doorknob:magic_doorknob_netherite', 'magic_doorknob:magic_doorknob_diamond', 'minecraft:netherite_ingot')
  e.shaped('magic_doorknob:magic_doorknob_gold', [
    'DGD',
    'GIG',
    'DGD'
  ], {
    G: 'minecraft:gold_ingot',
    D: 'waystones:warp_dust',
    I: 'magic_doorknob:magic_doorknob_iron'
  })
})
